<%@ page import="com.tui.uk.config.ConfReader"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<c:set var='clientAppName'
	value='${bookingInfo.bookingComponent.clientApplication.clientApplicationName}' />

<%
		String tealiumSwitch = ConfReader.getConfEntry("tealium.switch.on", "");		
        String tealiumUrl = ConfReader.getConfEntry("tealium.file" , "");
        String skiTealiumUrl = ConfReader.getConfEntry("ski.tealium.file" , "");
		pageContext.setAttribute("tealiumSwitch", tealiumSwitch, PageContext.REQUEST_SCOPE);
		if(pageContext.getAttribute("clientAppName") == "TUICS" || pageContext.getAttribute("clientAppName") == "TUIES" || pageContext.getAttribute("clientAppName") == "ANCSKICS" || pageContext.getAttribute("clientAppName") == "ANCSKIES"){		
	        pageContext.setAttribute("tealiumUrl", skiTealiumUrl, PageContext.REQUEST_SCOPE);
		} else {
	        pageContext.setAttribute("tealiumUrl", tealiumUrl, PageContext.REQUEST_SCOPE);		
		}
        
%>



<c:if test="${(not empty tealiumSwitch) && (clientAppName !='TUICRUISEDEALS') && (clientAppName != 'TUIHMCRUISE')}">
    <script type="text/javascript">
        var utag_data = {};
    </script>
    <script type="text/javascript">
        (function (a, b, c, d) {
            a = "${tealiumUrl}";
            b = document;
            c = 'script';
            d = b.createElement(c);
            d.src = a;
            d.type = 'text/java' + c;
            d.async = true;
            a = b.getElementsByTagName(c)[0];
            a.parentNode.insertBefore(d, a);
        })();
    </script>
</c:if>

